
</style>

  <?php
	include_once("../header.php");
        include_once("../php/config.php");
        $sql = mysql_query("select * from proveedores  WHERE nombre like '%".$_GET['filtro']."%' order by nombre limit 10") or die(mysql_error());
	?>

<style>
  .form-control{
    font-size: 20px;
  }


b{
    font-size: 18px;
  }

  th{
    font-size:18px;
    text-align: left;
  }

    td{
    font-size:13px;
  }
</style>

   <script>
   function filtrar(){
    var t = $("#txt_buscar").val();
    window.location.href="suplidor.php?filtro="+t;
   }
 </script> 
 
  <div class="container" style="background:white; padding:10px">


        
		<div class="row">
			<div class="col-md-12">
			<div class="row">
				<div class="col-md-4 mt-2 mb-2">
					<a class="btn btn-azul mb-2 btn-md" href="javascript:void(0)" onClick="modalProveedor()"><i class="fa fa-plus"></i> Nuevo</a>
					<a class="btn btn-default " href="cuenta_productores.php"><i class="fa fa-money-check-alt"></i> Liquidacion productores</a>
				</div>
				
				<div class="col-md-3 mt-2 mb-2">
					<input type="search" id="txt_buscar" placeholder="Filtrar registros" class="form-control" value="<?php echo $_GET['filtro']?>">
				</div>
				
				
				<div class="col-md-3 mt-2 mb-2">
					        <a class="btn btn-default" href="#" onClick="filtrar()"><i class="fa fa-search"></i><span style="font-weight:bolder;"> Filtrar</span></a>

				</div>
			</div>
		
       
        <script type="text/javascript">
          function modalProveedor(){
            $("#modalProveedor").modal('show');
            setTimeout(function(){
             $("#frm").trigger('reset'); 
            },500)
            
        }
        </script>
       
				<div class="table-responsive">
					<table class="table table-sm  table-striped table-hover" data-page-length='8' width="100%">
						
							<th>Id Proveedor</th>
							<th>Nombre</th>
              <th>Cedula/ RNC</th>
             
              <th>Telefono</th>
           
            
              <th>Editar</th>
						
						<tbody>
            <?php while($r=mysql_fetch_array($sql)){?>
							<tr>
								<td><?php echo $r["id_proveedor"]?></td>
                <td><span class="text-primary"><i class="bi bi-stickies"></i> <?php echo $r["nombre"]?></span></td>
                <td><?php echo $r["cedula"]?></td>
								<td><?php echo $r["telefono"]?></td>
              
               
             <?php if($_COOKIE['nivel']=="Master"){?>
               <td><a class="" href="#modalProveedor" data-toggle="modal" onClick='ver(<?php echo $r["id_proveedor"]?>)'><i class="bi bi-pencil"></i> Editar</a></td>
              <?php }?>
							</tr>
                                                        <?php }?>
						</tbody>
					</table>
				</div>
			</div>
		</div>
		
        </div>
      </div>
      


          
</div>
    </div>

	<!---Modal Cliente-->
	<div class="modal" id="modalProveedor" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-md" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h2 class="modal-title text-verde" id="exampleModalLabel"><i class="bi bi-users"></i> Registro de Proveedores</h2>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">


		  <form name="frm" action="" method="POST" id="frm">
			 
     

        <div class="row">
  				<label for="id" class="col-sm-3 col-form-label" >Id</label>
  				<div class="col-sm-3">
  				  <input autocomplete="off" type="text"  class="form-control  mb-2" id="id" value="" disabled>
  				</div>
			  </div>
			  
			   <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Nombre</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"  class="form-control mb-2 font-weight-bolde" id="nombre" name="nombre" value="">
          </div>
        </div>

         <div class="row">
          <label for="cedula" class="col-sm-3 col-form-label" >Cedula</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"  class="form-control mb-2" id="cedula" name="cedula" value="">
          </div>
        </div>

			  
         <div class="row">
          <label for="telefono" class="col-sm-3 col-form-label" >Telefono</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"  class="form-control mb-2" id="telefono" name="telefono" value="">
          </div>
        </div>

        <div class="row">
          <label for="direccion" class="col-sm-3 col-form-label" >Direccion</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"  class="form-control mb-2" id="direccion" name="direccion" value="">
          </div>
        </div>

         <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Tipo</label>
          <div class="col-sm-9">

           <select id="tipo" name="tipo" class="form-control">
             <option value="" selected disabled>Tipo</option>
             <option value="Productor">Productor</option>
              <option value="Suplidor">Suplidor</option>
           </select>

          </div>
        </div>


  


			  
			  
		  </form>
		  
		  </div>
          <div class="modal-footer">
            <button class="btn btn-azul" type="button" onclick="grabar_proveedor()"><i class="bi bi-download"></i> Grabar</button>

                  <button class="btn btn-secondary" type="button" onclick="borrar()" id="delete"><i class="bi bi-trash"></i> Borrar</button>

            <button class="btn btn-secondary" data-dismiss="modal"> <i class=""></i> Salir</button>
          </div>
        </div>
      </div>
    </div>

        <?php
        include_once("../footer.php");

        function state($est) {

            if ($est == "1") {
                $b = "<span class='badge badge-success'>Activo</span>";
            } else {

                $b = "<span class='badge badge-danger'>Inactivo</span>";
            }

            return $b;
        }
        ?>
            
<script>
$("#delete").hide();
id_proveedor="";
function ver(id){
    $("#delete").show();
    dstry();
      $("#frm").trigger('reset');
      setTimeout(function(){
        $("#nombre").focus();
        $("#nombre").select();
    },1000);

            var sql="select * from proveedores where id_proveedor='"+id+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                    id_proveedor= rs.data[i].id_proveedor;             
                    $("#nombre").val(rs.data[i].nombre);
                    $("#cedula").val(rs.data[i].cedula);
                    
                    $("#id").val(rs.data[i].id_proveedor);
                    $("#telefono").val(rs.data[i].telefono);
                    $("#direccion").val(rs.data[i].direccion);
                    $("#tipo option[value='"+rs.data[i].tipo+"']").prop('selected', true);
                    
                }
                
            })
        }
  
  function grabar_proveedor(){
     if(!confirm("Seguro(a) que desea registrar este Proveedor?")){return;}                   
    
     var nombre = $("#nombre").val();
     var cedula = $("#cedula").val();
     var telefono = $("#telefono").val();
     var direccion = $("#direccion").val();
     var tipo = $("#tipo").val();
    var id_proveedor = $("#id").val();


     if(nombre=="" || tipo==""){alert('Faltan datos'); return}
    var sql="";                            
        if(id_proveedor==""){
            sql="INSERT INTO proveedores set ";
            sql+="nombre='"+nombre+"'";
            sql+=", cedula='"+cedula+"'";
            sql+=", telefono='"+telefono+"'";
            sql+=", tipo='"+tipo+"'";
            sql+=", direccion='"+direccion+"'"; 
           
        }else{
            sql="UPDATE proveedores set";
            sql+=" nombre='"+nombre+"'";
            sql+=", cedula='"+cedula+"'";
            sql+=", telefono='"+telefono+"'";
            sql+=", direccion='"+direccion+"'"; 
            sql+=", tipo='"+tipo+"'";
            sql+=" WHERE id_proveedor='"+id_proveedor+"'";
           
            
        }
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
       
        noti("success","Registro grabado con exito","Registro grabado");
        $("#delete").hide();
        dstry();
        //////grabar_cliente()
        setTimeout(function(){window.location.reload()},2000)

      }else{
          alert(data);
          
      }
       
    })
}
  


  function grabar_cliente(){
     //if(!confirm("Seguro(a) que desea registrar este Proveedor?")){return;}                   
    
     var nombre = $("#nombre").val();
     var cedula = $("#cedula").val();
     var telefono = $("#telefono").val();
     var direccion = $("#direccion").val();
    



     if(nombre==""){alert('Faltan datos'); return}
    var sql="";                            
      
            sql="INSERT INTO clientes set ";
            sql+="nombre='"+nombre+"'";
            sql+=", cedula='"+cedula+"'";
            sql+=", telefono='"+telefono+"'";
            sql+=", direccion='"+direccion+"'"; 
           
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
       
        noti("success","Registro grabado con exito","Registro grabado");
        $("#delete").hide();
        dstry();
        id_proveedor="";
         $("#modalProveedor").modal('hide');
        setTimeout(function(){window.location.reload()},2000)

      }else{
          alert(data);
          
      }
       
    })
  }
  
  
 function borrar(){
  
     if(id_proveedor==""){alert('Seleccione un registro'); return}
     if(!confirm("Seguro(a) que desea eliminar este registro?")){return;}
    var sql="";                            
    sql="delete from proveedores where id_proveedor='"+id_proveedor+"'";
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modalProveedor").modal('hide');
        noti("success","Registro eliminado con exito","Registro grabado");
        $("#delete").hide();
        dstry();
        id_proveedor="";
        setTimeout(function(){window.location.reload()},1000)

      }else{
          alert(data);
          
      }
       
    })
}



$("table").DataTable({
   "language": {
            "url": "//cdn.datatables.net/plug-ins/9dcbecd42ad/i18n/Spanish.json"
        }
});
   
   $(".form-control").addClass("auto-save");      
        </script>

